# This package was forked from fedora-release into redhat-release-server into
# redhat-release-atomic-host, then into redhat-release-coreos.
# Be sure to look at changes upstream!

%define debug_package %{nil}
%define product_family Red Hat Enterprise Linux
%define variant_titlecase CoreOS
%define variant_lowercase coreos
%define full_release_version 45.82
%define base_version 8
# Fake this out; we also use 8 here, matching the maipo's use of 7.
%define os_version 8.99
%define point_release_version 6
%define dist .el%{base_version}
%define openshift_release_version 4.5

Name:           redhat-release-coreos
Version:        %{full_release_version}
Release:        %{point_release_version}%{?dist}
Summary:        %{product_family}%{?variant_titlecase: %{variant_titlecase}} release file
Group:          System Environment/Base
License:        GPLv2
Provides:       redhat-release = %{os_version}-%{release}
Provides:       system-release = %{os_version}-%{release}
# We need to use Server, since there's no RPM content set for anything else
Provides:       system-release(releasever) = %{base_version}Server
# This doesn't exist today, I committed the data to git
Source0:        redhat-release-%{variant_lowercase}-%{full_release_version}.%{point_release_version}.tar.gz

%description
%{summary}

%prep
%setup -q -n redhat-release-%{variant_lowercase}-%{full_release_version}.%{point_release_version}

%build
make fs

%install
rm -rf %{buildroot}
cp -a --reflink=auto fs %{buildroot}

(cd %{buildroot} && find . -type f -o -type l | sed -e 's,^.,/,') > files.list

%files -f files.list
%dir /etc/issue.d

%changelog
* Thu May 14 2020 Allen Bai <abai@redhat.com> - 45.82-6.el8
- Add CPE_NAME to /etc/os-release in redhat-release-coreos/build.sh

* Tue Apr 21 2020 Dusty Mabe <dustymabe@redhat.com> - 45.82-5.el8
- bump to rhel8.2 (45.82)

* Thu Feb 27 2020 Micah Abbott <miabbott@redhat.com> - 45.81-4.el8.1
- Import source from 4.4; bump version to 45.81

* Mon Dec 09 2019 Allen Bai <abai@redhat.com> - 44.81-4.el8.1
- Fix versioning, change from 44.80 -> 44.81

* Mon Dec 09 2019 Allen Bai <abai@redhat.com> - 44.80-4.el8.1
- Initial import for 4.3 branch from 43.80.3 with updated versioning
